> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-pt/runtime-da-scene/modulos-de-runtime/signed-fetch.md).

# Fetch Assinado

O `SignedFetch` módulo fornece uma implementação de `fetch` interface que é transparente e compatível com o [signed fetch](https://github.com/decentraland/docs/blob/main/auth/signed_fetch/README.md) protocolo, que define como anexar assinadas [cadeias de autenticação](https://github.com/decentraland/docs/blob/main/auth/authchain/README.md) a requisições de saída.

Os procedimentos para assinar e verificar esta requisição são detalhados na [auth\_chain](https://github.com/decentraland/docs/blob/main/contributor/auth/authchain/README.md) página.

Usando `SignedFetch` a partir de uma cena requer o [`USE_FETCH`](https://github.com/decentraland/docs/blob/main/contributor/content/entity-types/scenes/README.md#permissions) permission.

### Métodos

**`signedFetch`**

Faça uma requisição HTTP como faria com ([`fetch`](https://github.com/decentraland/docs/blob/main/contributor/globals/README.md#http)), adicionando automaticamente os cabeçalhos de verificação.

```ts
interface Request {
  // A URL alvo da requisição:
  url: string;

  // Parâmetros opcionais e autoexplicativos para a requisição:
  init?: {
    method?: string;
    body?: string;
    headers: { [key: string]: string };
  };
}

interface Response {
  // Se a requisição HTTP foi realizada com sucesso (códigos diferentes de 2xx não são falhas)
  ok: boolean;

  // Os detalhes autoexplicativos da resposta:
  status: number;
  statusText: string;
  headers: { [key: string]: string };
  body: string;
}

function signedFetch(Request): Promise<Response>;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.decentraland.org/contributor/contributor-pt/runtime-da-scene/modulos-de-runtime/signed-fetch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
